|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleFactory Class Reference

The QStyleFactory class creates QStyle objects. More...

    #include <QStyleFactory>

Part of the QtGui module.

- List of all members, including inherited members

### Static Public Members

- QStyle * create ( const QString & key )
- QStringList keys ()

## Detailed Description

The QStyleFactory class creates QStyle objects.

The style factory creates a QStyle object for a given key with QStyleFactory::create(key).

The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

QStyleFactory::keys() returns a list of valid keys, typically including "windows", "motif", "cde", "motifplus", "platinum", "sgi" and "compact". Depending on the platform, "windowsxp", "aqua" or "macintosh" may be available.

## Member Function Documentation

### QStyle * QStyleFactory::create ( const QString & key ) `[static]`

Creates a QStyle object that matches key. This is either a built-in style, or a style from a style plugin.

See also keys().

### QStringList QStyleFactory::keys () `[static]`

Returns the list of keys this factory can create styles for.

See also create().